%global _empty_manifest_terminate_build 0
Name:           python-coverage_enable_subprocess
Version:        1.0
Release:        1
Summary:        enable python coverage for subprocesses
License:        MIT
URL:            https://github.com/bukzor/python-coverage-enable-subprocess
Source0:        https://files.pythonhosted.org/packages/31/f4/57693bcf041ba641501b7a2fafc9d3d2de647355d78c6a2e07fb53648eaa/coverage_enable_subprocess-1.0.tar.gz
BuildArch:      noarch
%description
This package installs a pth file that enables the coveragepy process_startup
feature in this python prefix/virtualenv in subsequent runs.

%package -n python3-coverage-enable-subprocess
Summary:        enable python coverage for subprocesses
Provides:       python-coverage-enable-subprocess
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-coverage
# General requires
Requires:       python3-coverage
%description -n python3-coverage-enable-subprocess
This package installs a pth file that enables the coveragepy process_startup
feature in this python prefix/virtualenv in subsequent runs.

%package help
Summary:        enable python coverage for subprocesses
Provides:       python3-coverage-enable-subprocess-doc
%description help
This package installs a pth file that enables the coveragepy process_startup
feature in this python prefix/virtualenv in subsequent runs.

%prep
%autosetup -n coverage_enable_subprocess-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-coverage-enable-subprocess -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Fri Jul 15 2022 OpenStack_SIG <openstack@openeuler.org> - 1.0-1
- Init package python3-coverage-enable-subprocess of version 1.0

